//
//  ViewController.m
//  myScrollViewDome
//
//  Created by Apple on 2019/9/2.
//  Copyright © 2019 Apple. All rights reserved.
//

#import "ViewController.h"
#import "myScrollViewDome.h"

#define Screen_width [UIScreen mainScreen].bounds.size.width
#define Screen_height [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<myScrollViewDomeDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    [self setScorllView];
}
-(void)setScorllView{
    
    UIView *scView = [[UIView alloc]initWithFrame:CGRectMake(30, 100, Screen_width-60, 200)];
    scView.userInteractionEnabled = YES;
    [self.view addSubview:scView];
    
    myScrollViewDome *svc = [[myScrollViewDome alloc]init];
    
    svc.photoArray = @[@"11.jpg",@"11.jpg",@"11.jpg",@"11.jpg"];
    
    svc.delegate = self;
    
    //必须写在view.frame设置之前
    svc.scrollViewFrame = CGRectMake(0, 0, Screen_width-60, 200);
    
    svc.view.frame = self.view.bounds;
    
    [scView addSubview:svc.view];
    
    [self addChildViewController:svc];
    
}

-(void)ScrollViewImageClickWith:(int)cilckIndex{
    
    NSLog(@"--点击了第%d张--",cilckIndex);
}

@end
