//
//  myScrollViewDome.h
//  myScrollViewDome
//
//  Created by Apple on 2019/9/2.
//  Copyright © 2019 Apple. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@protocol myScrollViewDomeDelegate<NSObject>

-(void)ScrollViewImageClickWith:(int)cilckIndex;

@end

@interface myScrollViewDome : UIViewController

@property(nonatomic,weak)id<myScrollViewDomeDelegate>delegate;

@property(nonatomic,strong)NSArray *photoArray;

@property(nonatomic,assign)CGRect scrollViewFrame;

/*----调用用法
 myScrollViewDome *svc = [[myScrollViewDome alloc]init];
 
 NSArray *photoArray = @[@"Welcome_3.0_1.jpg",@"Welcome_3.0_2.jpg",@"Welcome_3.0_3.jpg",@"Welcome_3.0_4.jpg",@"Welcome_3.0_5.jpg"];
 
 //必须设置的图片数组
 svc.photoArray = photoArray;
 
 //必须写在view.frame设置之前
 svc.scrollViewFrame = CGRectMake(0, 0, self.view.frame.size.width, 500);
 
 svc.view.frame = self.view.bounds;
 
 [self.view addSubview:svc.view];
 
 [self addChildViewController:svc];
 */


@end

NS_ASSUME_NONNULL_END
